diff --git a/buglist b/buglist
index 87e3aa8..e2d5133 100644
--- a/buglist
+++ b/buglist
@@ -1,12 +1,35 @@
 =========================================================================
 
-bug 7231: 
+bug 7233: 
 todo 329:
 wish 1011:
 meh 5:
 
 =========================================================================
 
+bug 7232: Cannot convert from type Symbol to PositiveInteger for value #3
+
+)clear all
+foo(E:PI,totient:INT,N:INT):LIST(INT) ==
+  modN:=IntegerMod(N)
+  modtotient:=IntegerMod(totient)
+  D:=[x for x in 1..totient | (x*E)::modtotient = 1].1
+  secret:=(42^E)::modN 
+  clear:=(secret^D)::modN 
+  [secret,D,E,N]
+
+P:=11
+Q:=17
+N:=P*Q
+totient:=(P-1)*(Q-1)
+t1:=[x for x in 1..totient | gcd(totient,x) = 1]
+[foo(t1.y,totient,N) for y in 1..#t1]
+-- fails with 
+--  Connot convert from type Symbol to PositiveInteger for value #3
+
+
+=========================================================================
+
 bug 7231: D2 is not of type SEQUENCE
 
 see dop.input.pamphlet S 69
diff --git a/changelog b/changelog
index 357b00d..eecbcae 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130214 tpd src/axiom-website/patches.html 20130214.01.tpd.patch
+20130214 tpd buglist: add 7232
 20130124 tpd src/axiom-website/patches.html 20130124.06.tpd.patch
 20120124 tpd books/Makefile remove noweb from vol4
 20130124 tpd books/bookvol4 remove noweb
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c785eca..723b919 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3967,5 +3967,7 @@ books/Makefile, bookvol3, bookvol12 remove noweb
 books/Makefile, bookvol2 remove noweb
 <a href="patches/20130124.06.tpd.patch">20130124.06.tpd.patch</a>
 books/Makefile, bookvol4 remove noweb
+<a href="patches/20130214.01.tpd.patch">20130214.01.tpd.patch</a>
+buglist add bug 7232
  </body>
 </html>
